%Simulates the evolution of public debt as a % of GDP in two scenarios
%Scenario A: primary deficit = 0.02; 
% Scenario B: primary deficit= 0.01
%%Vivaldo Mendes, IUL, September 2011

p=0.02; i=0.02; g=0.03; y(1)=0.02;
for t=1:600;
    y(t+1)=p+((1+i)/(1+g))*y(t);
end
 
 d=0.01; i=0.02; g=0.03; z(1)=0.01;
 
 for t=1:600;
     z(t+1)=d+((1+ i)/(1+g))*z(t);
 end
 

 figure
 subplot(221)
 t=1:25;
 plot(y(t))
 hold on
 plot(z(t),'r')
 hold off
 
 
 subplot(222)
 t=1:50;
 plot(y(t))
 hold on
 plot(z(t),'r')
 hold off
 
 
  subplot(223)
  t=1:200;
  plot(y(t))
  hold on
  plot(z(t),'r')
  hold off
 
    
  subplot(224)
  t=1:600;
  plot(y(t))
  hold on
  plot(z(t),'r')
  hold off
  
 
 
 

 
