%Simulates the evolution of public debt as a % of GDP in two scenarios
%Scenario A: primary deficit = 0.02; 
% Scenario B: primary deficit= 0.01
%With a shock to primary deficits between t=600 and t=610
%%Vivaldo Mendes, IUL, September 2011p=0.02; i=0.02; g=0.03; y(1)=0.02;

for t=1:599;
    y(t+1)=p+((1+i)/(1+g))*y(t);
end
 
 d=0.01; i=0.02; g=0.03; z(1)=0.01;
 
 for t=1:599;
     z(t+1)=d+((1+ i)/(1+g))*z(t);
 end
 
 
 %shock
 
 p=0.08; i=0.02; g=0.03; y(1)=0.02;
 
for t=600:610;
    y(t+1)=p+((1+i)/(1+g))*y(t);
end
 
 d=0.08; i=0.02; g=0.03; z(1)=0.01;
 
 for t=600:610;
     z(t+1)=d+((1+ i)/(1+g))*z(t);
 end
 
 %back to normal conditions
 
 p=0.02; i=0.02; g=0.03; y(1)=0.02;
 
for t=611:1000;
    y(t+1)=p+((1+i)/(1+g))*y(t);
end
 
 d=0.01; i=0.02; g=0.03; z(1)=0.01;
 
 for t=611:1000;
     z(t+1)=d+((1+ i)/(1+g))*z(t);
 end
 
 figure
 
 plot(y);
 hold on
 plot(z,'r')
 hold off
 
 
 
 
 
 

 