%To simulate a stochasticlinear difference equation
%Vivaldo M. Mendes, ISCTE-Lisbon University Institute, January 2009

%Parameters
a0=1.5;
a1=0.5;
a2=0;

%number of iterations
n=200;

%initial condition
y(1)=0.02;

%program
for t=1:n
   y(t+1)=a0+a1*y(t)+(1/50)*randn(1);
end
% make figure
figure
subplot(211)
plot(y);
axis([1 80 2 3.2]);

%make figure of the random component
subplot(212)
t=1:1:n;
plot(y(t+1)-a1*y(t)-a0)
