clc
clear


t=300;
wn=randn(t,1);

% Plot white noise with a typical line
figure
plot(wn,'-r');
title('White Noise');
grid on;

% Plot white noise with a stem (tiny bar)
figure
stem(wn,'*b');
title('White Noise');
grid on;

% Plot sample autocorrelation of white noise
z=autocorr(wn)
figure
plot(z,'-o')
title('Autocorrelation');
grid on;

