%HPfilter, Vivaldo Mendes, ISCTE-Lisbon University Institute,
%Lisbon, April 2009

clear;clc;


load USdata.txt;
time=1947:0.25:2008.50;

%USdata.txt, column 7 stands for ln of Real GDP

figure
[HpGDP] = hpfilter(USdata(:,7),1600);
plot(time',HpGDP,'r'); hold on; plot(time',USdata(:,7));
ResGDP=USdata(:,7)-HpGDP;
figure;plot(time',ResGDP)
%the next figure puts all together in two scales
figure
plotyy(time',USdata(:,7),time',USdata(:,7)-HpGDP); hold on; plot(time',HpGDP,'r');



%USdata.txt, column 10 stands for ln of Real Consumption

figure
[HpRINV] = hpfilter(USdata(:,10),1600);
plot(time',HpRINV,'r'); hold on; plot(time',USdata(:,10));
ResRINV=USdata(:,10)-HpRINV;
figure;plot(time',ResRINV)
%the next figure puts all together in two scales
figure
plotyy(time',USdata(:,10),time',USdata(:,10)-HpRINV); hold on; plot(time',HpRINV,'r');


